Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
d308368b
Unverified
Commit
d308368b
authored
Apr 18, 2019
by
Kubernetes Prow Robot
Committed by
GitHub
Apr 18, 2019
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #76417 from SataQiu/fix-shell-update-generated-runtime-dockerized-20190411
Fix shellcheck failures of hack/update-generated-runtime-dockerized.sh
parents
888d26d1
bd7f7fef
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
8 additions
and
7 deletions
+8
-7
.shellcheck_failures
hack/.shellcheck_failures
+0
-1
update-generated-runtime-dockerized.sh
hack/update-generated-runtime-dockerized.sh
+8
-6
No files found.
hack/.shellcheck_failures
View file @
d308368b
...
@@ -44,7 +44,6 @@
...
@@ -44,7 +44,6 @@
./hack/pin-dependency.sh
./hack/pin-dependency.sh
./hack/test-integration.sh
./hack/test-integration.sh
./hack/test-update-storage-objects.sh
./hack/test-update-storage-objects.sh
./hack/update-generated-runtime-dockerized.sh
./hack/update-vendor.sh
./hack/update-vendor.sh
./hack/verify-api-groups.sh
./hack/verify-api-groups.sh
./hack/verify-boilerplate.sh
./hack/verify-boilerplate.sh
...
...
hack/update-generated-runtime-dockerized.sh
View file @
d308368b
...
@@ -18,7 +18,7 @@ set -o errexit
...
@@ -18,7 +18,7 @@ set -o errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/..
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
KUBE_REMOTE_RUNTIME_ROOT
=
"
${
KUBE_ROOT
}
/staging/src/k8s.io/cri-api/pkg/apis/runtime/v1alpha2"
KUBE_REMOTE_RUNTIME_ROOT
=
"
${
KUBE_ROOT
}
/staging/src/k8s.io/cri-api/pkg/apis/runtime/v1alpha2"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
...
@@ -40,22 +40,24 @@ if [[ -z "$(which protoc)" || "$(protoc --version)" != "libprotoc 3."* ]]; then
...
@@ -40,22 +40,24 @@ if [[ -z "$(which protoc)" || "$(protoc --version)" != "libprotoc 3."* ]]; then
fi
fi
function
cleanup
{
function
cleanup
{
rm
-f
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go.bak
rm
-f
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go.bak"
rm
-f
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go.tmp"
}
}
trap
cleanup EXIT
trap
cleanup EXIT
gogopath
=
$(
dirname
$(
kube::util::find-binary
"protoc-gen-gogo"
)
)
gogopath
=
$(
dirname
"
$(
kube::util::find-binary
"protoc-gen-gogo"
)
"
)
PATH
=
"
${
gogopath
}
:
${
PATH
}
"
\
PATH
=
"
${
gogopath
}
:
${
PATH
}
"
\
protoc
\
protoc
\
--proto_path
=
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
"
\
--proto_path
=
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
"
\
--proto_path
=
"
${
KUBE_ROOT
}
/vendor"
\
--proto_path
=
"
${
KUBE_ROOT
}
/vendor"
\
--gogo_out
=
plugins
=
grpc:
${
KUBE_REMOTE_RUNTIME_ROOT
}
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.proto
--gogo_out
=
plugins
=
grpc:
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
"
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.proto"
# Update boilerplate for the generated file.
# Update boilerplate for the generated file.
echo
"
$(
cat
hack/boilerplate/boilerplate.generatego.txt
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go
)
"
>
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go
cat
hack/boilerplate/boilerplate.generatego.txt
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go"
>
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go.tmp"
mv
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go.tmp"
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go"
# Run gofmt to clean up the generated code.
# Run gofmt to clean up the generated code.
kube::golang::verify_go_version
kube::golang::verify_go_version
gofmt
-l
-s
-w
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go
gofmt
-l
-s
-w
"
${
KUBE_REMOTE_RUNTIME_ROOT
}
/api.pb.go"
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment